@echo off
echo TIF Header Information
echo Note file Coordinate information
echo Note if file is covering Region of Interest
echo Check bounding coordinates of Region of Interest are withing min - max bounding coordinates of File!     
echo.
echo.



set longfilename=%1
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set Infraview=%9


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo your current file = %longfilename%
echo.
echo.


echo off
if not exist "%InputDrive%\%InputDir%\%longfilename%.tif"  goto MESSAGE
echo The file "%InputDrive%\%InputDir%\%longfilename%.tif"  is existing and map information will be retrieved
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found.
echo Check also manually if the data exists on input location specified


pause

GOTO END

:START


"%GDALDir%\gdalinfo" "%InputDrive%\%InputDir%\%longfilename%.tif" >"%OutputDrive%\%OutputDir%\%longfilename%_meta.txt
"%UtilDir%\npp\notepad++.exe" "%OutputDrive%\%OutputDir%\%longfilename%_meta.txt


:END
"%IlwDir%\ilwis.exe" -C closeall