@echo off
echo Partial SHP File Import
echo Note file Coordinate information
echo Note if file is covering Region of Interest
echo Check bounding coordinates of Region of Interest are withing min - max bounding coordinates of File!     
echo.
echo.



set longfilename=%1
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set Infraview=%9

cd /d "%ilwDir%\Extensions\Triple-Sensor-Toolbox\toolbox_startscript\shp_tif_import"

cmd /c powershell -ExecutionPolicy RemoteSigned -File .\largeSHPpartial_start.ps1"


 
if exist "%ilwDir%\Extensions\Triple-Sensor-Toolbox\toolbox_startscript\shp_tif_import\st_Partialno.txt" GOTO END

set output_file=
set xmin=
set ymin=
set xmax=
set ymax=

cd /d "%OutputDrive%\%OutputDir%"

call "%ilwDir%\Extensions\Triple-Sensor-Toolbox\toolbox_startscript\shp_tif_import\st_Partial.bat"


"%gdalDir%\ogr2ogr.exe" -f "ESRI Shapefile" -clipdst %xmin% %ymin% %xmax% %ymax% "%OutputDrive%\%OutputDir%\%output_file%_temp.shp" "%inputDrive%\%inputDir%\%longfilename%.shp" 
"%IlwDir%\ilwis.exe" -C import shape('%OutputDrive%\%OutputDir%\%output_file%_temp'.shp,'%OutputDrive%\%OutputDir%\%output_file%')

del "%ilwDir%\Extensions\Triple-Sensor-Toolbox\toolbox_startscript\shp_tif_import\st_Partial.bat"
del "%OutputDrive%\%OutputDir%\%output_file%_temp.*"


GOTO ENDEND


:END
del "%ilwDir%\Extensions\Triple-Sensor-Toolbox\toolbox_startscript\shp_tif_import\st_Partialno.txt"

:ENDEND
"%IlwDir%\ilwis.exe" -C closeall